> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve stored Dialogflow Connection

> Return details of the Dialogflow connection associated with the given CallControl connection.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/real-time-communications/dialogflow-integration.yml get /dialogflow_connections/{connection_id}
openapi: 3.1.0
info:
  title: Telnyx Dialogflow Integration API
  version: 2.0.0
  description: API for Dialogflow integration.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /dialogflow_connections/{connection_id}:
    get:
      tags:
        - Dialogflow Integration
      summary: Retrieve stored Dialogflow Connection
      description: >-
        Return details of the Dialogflow connection associated with the given
        CallControl connection.
      operationId: GetDialogflowConnection
      parameters:
        - $ref: '#/components/parameters/media-streaming_ConnectionId'
      responses:
        '200':
          $ref: '#/components/responses/DialogflowConnectionResponseBody'
        '404':
          $ref: '#/components/responses/media-streaming_NotFoundResponse'
        default:
          $ref: '#/components/responses/media-streaming_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const dialogflowConnection = await
            client.dialogflowConnections.retrieve('connection_id');


            console.log(dialogflowConnection.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            dialogflow_connection = client.dialogflow_connections.retrieve(
                "connection_id",
            )
            print(dialogflow_connection.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tdialogflowConnection, err := client.DialogflowConnections.Get(context.TODO(), \"connection_id\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", dialogflowConnection.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.dialogflowconnections.DialogflowConnectionRetrieveParams;

            import
            com.telnyx.sdk.models.dialogflowconnections.DialogflowConnectionRetrieveResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    DialogflowConnectionRetrieveResponse dialogflowConnection = client.dialogflowConnections().retrieve("connection_id");
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            dialogflow_connection =
            telnyx.dialogflow_connections.retrieve("connection_id")


            puts(dialogflow_connection)
        - lang: CLI
          source: |-
            telnyx dialogflow-connections retrieve \
              --api-key 'My API Key' \
              --connection-id connection_id
components:
  parameters:
    media-streaming_ConnectionId:
      name: connection_id
      description: Uniquely identifies a Telnyx application (Call Control).
      in: path
      required: true
      schema:
        type: string
  responses:
    DialogflowConnectionResponseBody:
      description: >-
        Return details of the Dialogflow connection associated with the given
        CallControl connection.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/DialogflowConnectionResponse'
    media-streaming_NotFoundResponse:
      description: Resource not found. The requested resource or URL could not be found.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/media-streaming_Errors'
          examples:
            not_found:
              summary: Generic not found
              value:
                errors:
                  - code: '404'
                    title: Not Found
                    detail: Page not found
            connection_not_found:
              summary: Connection not found
              value:
                errors:
                  - code: '10005'
                    title: Resource not found
                    detail: >-
                      The Dialogflow connection for the specified connection_id
                      could not be found.
                    source:
                      pointer: /connection_id
    media-streaming_GenericErrorResponse:
      description: Unexpected error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/media-streaming_Errors'
  schemas:
    DialogflowConnectionResponse:
      type: object
      title: Dialogflow Connection Response
      required:
        - data
      properties:
        data:
          type: object
          title: Dialogflow Connection
          properties:
            record_type:
              type: string
              example: dialogflow_connections
            connection_id:
              type: string
              example: '1234541231'
              description: Uniquely identifies a Telnyx application (Call Control).
            conversation_profile_id:
              type: string
              description: >-
                The id of a configured conversation profile on your Dialogflow
                account. (If you use Dialogflow CX, this param is required)
              example: a-VMHLWzTmKjiJw5S6O0-w
            environment:
              type: string
              description: Which Dialogflow environment will be used.
              example: development
            service_account:
              type: string
              description: The JSON map to connect your Dialoglow account.
              example: '****'
    media-streaming_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/media-streaming_Error'
      type: object
    media-streaming_Error:
      required:
        - code
        - title
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
          additionalProperties: true
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````